### Method

# Ide MarkedContent as_string

#### Declaration

    const gchar*
    ide_marked_content_as_string (
      IdeMarkedContent* self,
      gsize* len
    )

#### Description

Gets the contents of the marked content as a C string.

Available since: | 3.32

#### Parameters

`len` | `gsize*`
| Location to store the length of the returned strings in bytes, or `NULL`.
| The argument will be set by the function.
| The argument can be `NULL`.

#### Return value

Returns: | `const gchar*`
| The content as a string or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.
| The value is a NUL terminated UTF-8 string.